Interface OAuth2Authentication
- All Superinterfaces:
org.springframework.security.core.Authentication, BlueriqAuthentication, Principal, Serializable
- All Known Subinterfaces:
TenantAwareOAuth2Authentication
The base interface for all authentications performed using OAuth2
- Since:
- 11.6
- Author:
- Petru Galanton
-
Nested Class Summary
Nested classes/interfaces inherited from interface org.springframework.security.core.Authentication
org.springframework.security.core.Authentication.Builder<B> -
Method Summary
Modifier and TypeMethodDescriptionThe access token in encoded form.Methods inherited from interface org.springframework.security.core.Authentication
getAuthorities, getCredentials, getDetails, getPrincipal, isAuthenticated, setAuthenticated, toBuilderMethods inherited from interface BlueriqAuthentication
getClaim, getClaimNames, getRoles, getTeams, isAnonymous, isAutomatic
-
Method Details
-
getEncodedAccessToken
String getEncodedAccessToken()The access token in encoded form. This form is suitable for use in an Authorization: Bearer header.- Returns:
- the encoded access token
-